{"templateId":"markdown","sharedDataIds":{"sidebar":"sidebar-sidebars.yaml","api-docs-apis/referral-api-v1.json":"api-docs-apis/referral-api-v1.json"},"props":{"metadata":{"markdoc":{"tagList":["split","openapi-code-sample","openapi-response-sample"]},"type":"markdown"},"seo":{"title":"Referral API v1 Application Management Guide","description":"RAI Partners API."},"dynamicMarkdocComponents":["openapi"],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"referral-api-v1-application-management-guide","__idx":0},"children":["Referral API v1 Application Management Guide"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"deprecation-warning","__idx":1},"children":["Deprecation warning"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["⚠️ ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["API version 1.0.8 is scheduled for deprecation on 2027-07-01."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["It will continue to function until then; please migrate to 2.x.x."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"overview","__idx":2},"children":["Overview"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Referral API Application Management lets you:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Create an application."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Retrieve the list of spousal notification states"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["All calls to the endpoint must have a valid JWT Token."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The Referral API can use encrypted or unencrypted social security numbers, the communication is already encrypted via ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["https"]}," so this will be solely based on your requirements. This choice was made during your account setup. Should you need a change, please contact your RAI Client Success representative."]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Split","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"create-an-application","__idx":3},"children":["Create an application"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["If an application was already in flight with the email provided, the second application will be rejected. The list of ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["product_id"]}," associated with your account was provided by your RAI Client Success representative. Based on your configuration, the social security number can be either provided in clear through ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["https"]}," or encrypted with a key provided by your RAI Client Success representative. For states requiring spousal notification, the spouse information must be provided."]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["API Call Example:"]}]},{"$$mdtype":"Tag","name":"OpenApiCodeSample","attributes":{"descriptionFile":"api-docs-apis/referral-api-v1.json","operationId":"createApplication","parameters":{},"environments":{},"codeSamplesResolved":[{"lang":"shell","title":"curl","source":"curl -i -X POST \\\n  'https://api.raipartners.com/referral/application/{product-id}' \\\n  -H 'API-Version: 1.0.8' \\\n  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \\\n  -H 'Content-Type: application/json' \\\n  -d '{\n    \"applicant\": {\n      \"identity\": {\n        \"name\": {\n          \"first\": \"John\",\n          \"last\": \"Smith\",\n          \"middle\": \"James\"\n        },\n        \"birthDate\": \"2000-01-31\",\n        \"socialSecurityNumber\": 123456789\n      },\n      \"email\": \"myemail@email.com\",\n      \"phoneNumber\": \"1234567890\",\n      \"address\": {\n        \"line1\": \"1 Main St\",\n        \"line2\": \"Apt 35\",\n        \"city\": \"Dallas\",\n        \"state\": \"TX\",\n        \"zipCode\": \"75000\"\n      },\n      \"income\": {\n        \"annualIncome\": 30000,\n        \"source\": \"Employment\"\n      },\n      \"expenses\": {\n        \"monthlyHousing\": 1000\n      },\n      \"maritalStatus\": \"NotMarried\"\n    },\n    \"spouse\": {\n      \"name\": {\n        \"first\": \"John\",\n        \"last\": \"Smith\",\n        \"middle\": \"James\"\n      },\n      \"email\": \"myemail@email.com\",\n      \"address\": {\n        \"line1\": \"1 Main St\",\n        \"line2\": \"Apt 35\",\n        \"city\": \"Dallas\",\n        \"state\": \"TX\",\n        \"zipCode\": \"75000\"\n      }\n    },\n    \"consents\": {\n      \"contact\": {\n        \"allowEmailContact\": true,\n        \"allowPhoneContact\": true,\n        \"allowSmsContact\": true\n      },\n      \"shareDataWithFI\": true,\n      \"softPull\": true\n    },\n    \"metadata\": {\n      \"membershipType\": \"NonMember\",\n      \"referralChannel\": \"Branch\",\n      \"creditInquiry\": \"Soft\"\n    }\n  }'"},{"lang":"javascript","title":"JavaScript","source":"const productId = 'YOUR_product-id_PARAMETER';\nconst resp = await fetch(\n  `https://api.raipartners.com/referral/application/${productId}`,\n  {\n    method: 'POST',\n    headers: {\n      'Content-Type': 'application/json',\n      'API-Version': '1.0.8',\n      Authorization: 'Bearer <YOUR_JWT_HERE>'\n    },\n    body: JSON.stringify({\n      applicant: {\n        identity: {\n          name: {\n            first: 'John',\n            last: 'Smith',\n            middle: 'James'\n          },\n          birthDate: '2000-01-31',\n          socialSecurityNumber: 123456789\n        },\n        email: 'myemail@email.com',\n        phoneNumber: '1234567890',\n        address: {\n          line1: '1 Main St',\n          line2: 'Apt 35',\n          city: 'Dallas',\n          state: 'TX',\n          zipCode: '75000'\n        },\n        income: {\n          annualIncome: 30000,\n          source: 'Employment'\n        },\n        expenses: {monthlyHousing: 1000},\n        maritalStatus: 'NotMarried'\n      },\n      spouse: {\n        name: {\n          first: 'John',\n          last: 'Smith',\n          middle: 'James'\n        },\n        email: 'myemail@email.com',\n        address: {\n          line1: '1 Main St',\n          line2: 'Apt 35',\n          city: 'Dallas',\n          state: 'TX',\n          zipCode: '75000'\n        }\n      },\n      consents: {\n        contact: {\n          allowEmailContact: true,\n          allowPhoneContact: true,\n          allowSmsContact: true\n        },\n        shareDataWithFI: true,\n        softPull: true\n      },\n      metadata: {\n        membershipType: 'NonMember',\n        referralChannel: 'Branch',\n        creditInquiry: 'Soft'\n      }\n    })\n  }\n);\n\nconst data = await resp.json();\nconsole.log(data);"},{"lang":"javascript","title":"Node.js","source":"import fetch from 'node-fetch';\n\nasync function run() {\n  const productId = 'YOUR_product-id_PARAMETER';\n  const resp = await fetch(\n    `https://api.raipartners.com/referral/application/${productId}`,\n    {\n      method: 'POST',\n      headers: {\n        'Content-Type': 'application/json',\n        'API-Version': '1.0.8',\n        Authorization: 'Bearer <YOUR_JWT_HERE>'\n      },\n      body: JSON.stringify({\n        applicant: {\n          identity: {\n            name: {\n              first: 'John',\n              last: 'Smith',\n              middle: 'James'\n            },\n            birthDate: '2000-01-31',\n            socialSecurityNumber: 123456789\n          },\n          email: 'myemail@email.com',\n          phoneNumber: '1234567890',\n          address: {\n            line1: '1 Main St',\n            line2: 'Apt 35',\n            city: 'Dallas',\n            state: 'TX',\n            zipCode: '75000'\n          },\n          income: {\n            annualIncome: 30000,\n            source: 'Employment'\n          },\n          expenses: {monthlyHousing: 1000},\n          maritalStatus: 'NotMarried'\n        },\n        spouse: {\n          name: {\n            first: 'John',\n            last: 'Smith',\n            middle: 'James'\n          },\n          email: 'myemail@email.com',\n          address: {\n            line1: '1 Main St',\n            line2: 'Apt 35',\n            city: 'Dallas',\n            state: 'TX',\n            zipCode: '75000'\n          }\n        },\n        consents: {\n          contact: {\n            allowEmailContact: true,\n            allowPhoneContact: true,\n            allowSmsContact: true\n          },\n          shareDataWithFI: true,\n          softPull: true\n        },\n        metadata: {\n          membershipType: 'NonMember',\n          referralChannel: 'Branch',\n          creditInquiry: 'Soft'\n        }\n      })\n    }\n  );\n\n  const data = await resp.json();\n  console.log(data);\n}\n\nrun();"},{"lang":"python","title":"Python","source":"import requests\n\nproduct_id = \"YOUR_product-id_PARAMETER\"\nurl = \"https://api.raipartners.com/referral/application/\" + product_id\n\npayload = {\n  \"applicant\": {\n    \"identity\": {\n      \"name\": {\n        \"first\": \"John\",\n        \"last\": \"Smith\",\n        \"middle\": \"James\"\n      },\n      \"birthDate\": \"2000-01-31\",\n      \"socialSecurityNumber\": 123456789\n    },\n    \"email\": \"myemail@email.com\",\n    \"phoneNumber\": \"1234567890\",\n    \"address\": {\n      \"line1\": \"1 Main St\",\n      \"line2\": \"Apt 35\",\n      \"city\": \"Dallas\",\n      \"state\": \"TX\",\n      \"zipCode\": \"75000\"\n    },\n    \"income\": {\n      \"annualIncome\": 30000,\n      \"source\": \"Employment\"\n    },\n    \"expenses\": {\n      \"monthlyHousing\": 1000\n    },\n    \"maritalStatus\": \"NotMarried\"\n  },\n  \"spouse\": {\n    \"name\": {\n      \"first\": \"John\",\n      \"last\": \"Smith\",\n      \"middle\": \"James\"\n    },\n    \"email\": \"myemail@email.com\",\n    \"address\": {\n      \"line1\": \"1 Main St\",\n      \"line2\": \"Apt 35\",\n      \"city\": \"Dallas\",\n      \"state\": \"TX\",\n      \"zipCode\": \"75000\"\n    }\n  },\n  \"consents\": {\n    \"contact\": {\n      \"allowEmailContact\": True,\n      \"allowPhoneContact\": True,\n      \"allowSmsContact\": True\n    },\n    \"shareDataWithFI\": True,\n    \"softPull\": True\n  },\n  \"metadata\": {\n    \"membershipType\": \"NonMember\",\n    \"referralChannel\": \"Branch\",\n    \"creditInquiry\": \"Soft\"\n  }\n}\n\nheaders = {\n  \"Content-Type\": \"application/json\",\n  \"API-Version\": \"1.0.8\",\n  \"Authorization\": \"Bearer <YOUR_JWT_HERE>\"\n}\n\nresponse = requests.post(url, json=payload, headers=headers)\n\ndata = response.json()\nprint(data)"},{"lang":"java","title":"Java","source":"import java.net.*;\nimport java.net.http.*;\nimport java.util.*;\n\npublic class App {\n  public static void main(String[] args) throws Exception {\n    var httpClient = HttpClient.newBuilder().build();\n\n    var payload = String.join(\"\\n\"\n      , \"{\"\n      , \" \\\"applicant\\\": {\"\n      , \"  \\\"identity\\\": {\"\n      , \"   \\\"name\\\": {\"\n      , \"    \\\"first\\\": \\\"John\\\",\"\n      , \"    \\\"last\\\": \\\"Smith\\\",\"\n      , \"    \\\"middle\\\": \\\"James\\\"\"\n      , \"   },\"\n      , \"   \\\"birthDate\\\": \\\"2000-01-31\\\",\"\n      , \"   \\\"socialSecurityNumber\\\": 123456789\"\n      , \"  },\"\n      , \"  \\\"email\\\": \\\"myemail@email.com\\\",\"\n      , \"  \\\"phoneNumber\\\": \\\"1234567890\\\",\"\n      , \"  \\\"address\\\": {\"\n      , \"   \\\"line1\\\": \\\"1 Main St\\\",\"\n      , \"   \\\"line2\\\": \\\"Apt 35\\\",\"\n      , \"   \\\"city\\\": \\\"Dallas\\\",\"\n      , \"   \\\"state\\\": \\\"TX\\\",\"\n      , \"   \\\"zipCode\\\": \\\"75000\\\"\"\n      , \"  },\"\n      , \"  \\\"income\\\": {\"\n      , \"   \\\"annualIncome\\\": 30000,\"\n      , \"   \\\"source\\\": \\\"Employment\\\"\"\n      , \"  },\"\n      , \"  \\\"expenses\\\": {\"\n      , \"   \\\"monthlyHousing\\\": 1000\"\n      , \"  },\"\n      , \"  \\\"maritalStatus\\\": \\\"NotMarried\\\"\"\n      , \" },\"\n      , \" \\\"spouse\\\": {\"\n      , \"  \\\"name\\\": {\"\n      , \"   \\\"first\\\": \\\"John\\\",\"\n      , \"   \\\"last\\\": \\\"Smith\\\",\"\n      , \"   \\\"middle\\\": \\\"James\\\"\"\n      , \"  },\"\n      , \"  \\\"email\\\": \\\"myemail@email.com\\\",\"\n      , \"  \\\"address\\\": {\"\n      , \"   \\\"line1\\\": \\\"1 Main St\\\",\"\n      , \"   \\\"line2\\\": \\\"Apt 35\\\",\"\n      , \"   \\\"city\\\": \\\"Dallas\\\",\"\n      , \"   \\\"state\\\": \\\"TX\\\",\"\n      , \"   \\\"zipCode\\\": \\\"75000\\\"\"\n      , \"  }\"\n      , \" },\"\n      , \" \\\"consents\\\": {\"\n      , \"  \\\"contact\\\": {\"\n      , \"   \\\"allowEmailContact\\\": true,\"\n      , \"   \\\"allowPhoneContact\\\": true,\"\n      , \"   \\\"allowSmsContact\\\": true\"\n      , \"  },\"\n      , \"  \\\"shareDataWithFI\\\": true,\"\n      , \"  \\\"softPull\\\": true\"\n      , \" },\"\n      , \" \\\"metadata\\\": {\"\n      , \"  \\\"membershipType\\\": \\\"NonMember\\\",\"\n      , \"  \\\"referralChannel\\\": \\\"Branch\\\",\"\n      , \"  \\\"creditInquiry\\\": \\\"Soft\\\"\"\n      , \" }\"\n      , \"}\"\n    );\n\n    var host = \"https://api.raipartners.com\";\n    var productId = \"YOUR_product-id_PARAMETER\";\n    var pathname = \"/referral/application/%7Bproduct-id%7D\";\n    var request = HttpRequest.newBuilder()\n      .POST(HttpRequest.BodyPublishers.ofString(payload))\n      .uri(URI.create(host + pathname ))\n      .header(\"Content-Type\", \"application/json\")\n      .header(\"API-Version\", \"1.0.8\")\n      .header(\"Authorization\", \"Bearer <YOUR_JWT_HERE>\")\n      .build();\n\n    var response = httpClient.send(request, HttpResponse.BodyHandlers.ofString());\n\n    System.out.println(response.body());\n  }\n}"},{"lang":"csharp","title":"C#","source":"using System;\nusing System.Net.Http;\nusing System.Threading.Tasks;\nusing System.Text;\nusing System.Text.Json;\n\npublic class Program\n{\n  public static async Task Main()\n  {\n    System.Net.Http.HttpClient client = new()\n    {\n      DefaultRequestHeaders =\n      {\n        {\"API-Version\", \"1.0.8\"},\n        {\"Authorization\", \"Bearer <YOUR_JWT_HERE>\"},\n      }\n    };\n\n    string json = JsonSerializer.Serialize(new\n    {\n      applicant = new {\n        identity = new {\n          name = new {\n            first = \"John\",\n            last = \"Smith\",\n            middle = \"James\"\n          },\n          birthDate = \"2000-01-31\",\n          socialSecurityNumber = \"123456789\"\n        },\n        email = \"myemail@email.com\",\n        phoneNumber = \"1234567890\",\n        address = new {\n          line1 = \"1 Main St\",\n          line2 = \"Apt 35\",\n          city = \"Dallas\",\n          state = \"TX\",\n          zipCode = \"75000\"\n        },\n        income = new {\n          annualIncome = \"30000\",\n          source = \"Employment\"\n        },\n        expenses = new {\n          monthlyHousing = \"1000\"\n        },\n        maritalStatus = \"NotMarried\"\n      },\n      spouse = new {\n        name = new {\n          first = \"John\",\n          last = \"Smith\",\n          middle = \"James\"\n        },\n        email = \"myemail@email.com\",\n        address = new {\n          line1 = \"1 Main St\",\n          line2 = \"Apt 35\",\n          city = \"Dallas\",\n          state = \"TX\",\n          zipCode = \"75000\"\n        }\n      },\n      consents = new {\n        contact = new {\n          allowEmailContact = \"true\",\n          allowPhoneContact = \"true\",\n          allowSmsContact = \"true\"\n        },\n        shareDataWithFI = \"true\",\n        softPull = \"true\"\n      },\n      metadata = new {\n        membershipType = \"NonMember\",\n        referralChannel = \"Branch\",\n        creditInquiry = \"Soft\"\n      }\n    });\n\n    using StringContent postData = new(json, Encoding.UTF8, \"application/json\");\n      var ProductId = \"YOUR_product-id_PARAMETER\";\n    using HttpResponseMessage request = await client.PostAsync(\"https://api.raipartners.com/referral/application/\" + ProductId, postData);\n    string response = await request.Content.ReadAsStringAsync();\n\n    Console.WriteLine(response);\n  }\n}"},{"lang":"php","title":"PHP","source":"/**\n * Requires libcurl\n */\n\nconst productId = \"YOUR_product-id_PARAMETER\";\n$curl = curl_init();\n\n$payload = array(\n  \"applicant\" => array(\n    \"identity\" => array(\n      \"name\" => array(\n        \"first\" => \"John\",\n        \"last\" => \"Smith\",\n        \"middle\" => \"James\"\n      ),\n      \"birthDate\" => \"2000-01-31\",\n      \"socialSecurityNumber\" => 123456789\n    ),\n    \"email\" => \"myemail@email.com\",\n    \"phoneNumber\" => \"1234567890\",\n    \"address\" => array(\n      \"line1\" => \"1 Main St\",\n      \"line2\" => \"Apt 35\",\n      \"city\" => \"Dallas\",\n      \"state\" => \"TX\",\n      \"zipCode\" => \"75000\"\n    ),\n    \"income\" => array(\n      \"annualIncome\" => 30000,\n      \"source\" => \"Employment\"\n    ),\n    \"expenses\" => array(\n      \"monthlyHousing\" => 1000\n    ),\n    \"maritalStatus\" => \"NotMarried\"\n  ),\n  \"spouse\" => array(\n    \"name\" => array(\n      \"first\" => \"John\",\n      \"last\" => \"Smith\",\n      \"middle\" => \"James\"\n    ),\n    \"email\" => \"myemail@email.com\",\n    \"address\" => array(\n      \"line1\" => \"1 Main St\",\n      \"line2\" => \"Apt 35\",\n      \"city\" => \"Dallas\",\n      \"state\" => \"TX\",\n      \"zipCode\" => \"75000\"\n    )\n  ),\n  \"consents\" => array(\n    \"contact\" => array(\n      \"allowEmailContact\" => true,\n      \"allowPhoneContact\" => true,\n      \"allowSmsContact\" => true\n    ),\n    \"shareDataWithFI\" => true,\n    \"softPull\" => true\n  ),\n  \"metadata\" => array(\n    \"membershipType\" => \"NonMember\",\n    \"referralChannel\" => \"Branch\",\n    \"creditInquiry\" => \"Soft\"\n  )\n);\n\ncurl_setopt_array($curl, [\n  CURLOPT_HTTPHEADER => [\n    \"API-Version: 1.0.8\",\n    \"Authorization: Bearer <YOUR_JWT_HERE>\",\n    \"Content-Type: application/json\"\n  ],\n  CURLOPT_POSTFIELDS => json_encode($payload),\n  CURLOPT_URL => \"https://api.raipartners.com/referral/application/\" . productId,\n  CURLOPT_RETURNTRANSFER => true,\n  CURLOPT_CUSTOMREQUEST => \"POST\",\n]);\n\n$response = curl_exec($curl);\n$error = curl_error($curl);\n\ncurl_close($curl);\n\nif ($error) {\n  echo \"cURL Error #:\" . $error;\n} else {\n  echo $response;\n}"},{"lang":"go","title":"Go","source":"package main\n\nimport (\n  \"fmt\"\n  \"bytes\"\n  \"net/http\"\n  \"io/ioutil\"\n)\n\nfunc main() {\n  productId := \"YOUR_product-id_PARAMETER\";\n  reqUrl := \"https://api.raipartners.com/referral/application/\" + productId\n  var data = []byte(`{\n    \"applicant\": {\n      \"identity\": {\n        \"name\": {\n          \"first\": \"John\",\n          \"last\": \"Smith\",\n          \"middle\": \"James\"\n        },\n        \"birthDate\": \"2000-01-31\",\n        \"socialSecurityNumber\": 123456789\n      },\n      \"email\": \"myemail@email.com\",\n      \"phoneNumber\": \"1234567890\",\n      \"address\": {\n        \"line1\": \"1 Main St\",\n        \"line2\": \"Apt 35\",\n        \"city\": \"Dallas\",\n        \"state\": \"TX\",\n        \"zipCode\": \"75000\"\n      },\n      \"income\": {\n        \"annualIncome\": 30000,\n        \"source\": \"Employment\"\n      },\n      \"expenses\": {\n        \"monthlyHousing\": 1000\n      },\n      \"maritalStatus\": \"NotMarried\"\n    },\n    \"spouse\": {\n      \"name\": {\n        \"first\": \"John\",\n        \"last\": \"Smith\",\n        \"middle\": \"James\"\n      },\n      \"email\": \"myemail@email.com\",\n      \"address\": {\n        \"line1\": \"1 Main St\",\n        \"line2\": \"Apt 35\",\n        \"city\": \"Dallas\",\n        \"state\": \"TX\",\n        \"zipCode\": \"75000\"\n      }\n    },\n    \"consents\": {\n      \"contact\": {\n        \"allowEmailContact\": true,\n        \"allowPhoneContact\": true,\n        \"allowSmsContact\": true\n      },\n      \"shareDataWithFI\": true,\n      \"softPull\": true\n    },\n    \"metadata\": {\n      \"membershipType\": \"NonMember\",\n      \"referralChannel\": \"Branch\",\n      \"creditInquiry\": \"Soft\"\n    }\n  }`)\n  req, err := http.NewRequest(\"POST\", reqUrl, bytes.NewBuffer(data))\n  if err != nil {\n    panic(err)\n  }\n  req.Header.Add(\"Content-Type\", \"application/json\")\n  req.Header.Add(\"API-Version\", \"1.0.8\")\n  req.Header.Add(\"Authorization\", \"Bearer <YOUR_JWT_HERE>\")\n  res, err := http.DefaultClient.Do(req)\n  if err != nil {\n    panic(err)\n  }\n  defer res.Body.Close()\n  body, err := ioutil.ReadAll(res.Body)\n  if err != nil {\n    panic(err)\n  }\n\n  fmt.Println(res)\n  fmt.Println(string(body))\n}"},{"lang":"ruby","title":"Ruby","source":"require 'json'\nrequire 'uri'\nrequire 'net/http'\nrequire 'openssl'\n\nproduct_id = 'YOUR_product-id_PARAMETER'\nurl = URI('https://api.raipartners.com/referral/application/' + product_id)\n\nhttp = Net::HTTP.new(url.host, url.port)\nhttp.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest['Content-Type'] = 'application/json'\nrequest['API-Version'] = '1.0.8'\nrequest['Authorization'] = 'Bearer <YOUR_JWT_HERE>'\nrequest.body = {\n  applicant: {\n    identity: {\n      name: {\n        first: 'John',\n        last: 'Smith',\n        middle: 'James'\n      },\n      birthDate: '2000-01-31',\n      socialSecurityNumber: 123456789\n    },\n    email: 'myemail@email.com',\n    phoneNumber: '1234567890',\n    address: {\n      line1: '1 Main St',\n      line2: 'Apt 35',\n      city: 'Dallas',\n      state: 'TX',\n      zipCode: '75000'\n    },\n    income: {\n      annualIncome: 30000,\n      source: 'Employment'\n    },\n    expenses: {monthlyHousing: 1000},\n    maritalStatus: 'NotMarried'\n  },\n  spouse: {\n    name: {\n      first: 'John',\n      last: 'Smith',\n      middle: 'James'\n    },\n    email: 'myemail@email.com',\n    address: {\n      line1: '1 Main St',\n      line2: 'Apt 35',\n      city: 'Dallas',\n      state: 'TX',\n      zipCode: '75000'\n    }\n  },\n  consents: {\n    contact: {\n      allowEmailContact: true,\n      allowPhoneContact: true,\n      allowSmsContact: true\n    },\n    shareDataWithFI: true,\n    softPull: true\n  },\n  metadata: {\n    membershipType: 'NonMember',\n    referralChannel: 'Branch',\n    creditInquiry: 'Soft'\n  }\n}.to_json\n\nresponse = http.request(request)\nputs response.read_body\n"},{"lang":"r","title":"R","source":"library(httr)\n\nbody = '{\n   \"applicant\": {\n    \"identity\": {\n     \"name\": {\n      \"first\": \"John\",\n      \"last\": \"Smith\",\n      \"middle\": \"James\"\n     },\n     \"birthDate\": \"2000-01-31\",\n     \"socialSecurityNumber\": 123456789\n    },\n    \"email\": \"myemail@email.com\",\n    \"phoneNumber\": \"1234567890\",\n    \"address\": {\n     \"line1\": \"1 Main St\",\n     \"line2\": \"Apt 35\",\n     \"city\": \"Dallas\",\n     \"state\": \"TX\",\n     \"zipCode\": \"75000\"\n    },\n    \"income\": {\n     \"annualIncome\": 30000,\n     \"source\": \"Employment\"\n    },\n    \"expenses\": {\n     \"monthlyHousing\": 1000\n    },\n    \"maritalStatus\": \"NotMarried\"\n   },\n   \"spouse\": {\n    \"name\": {\n     \"first\": \"John\",\n     \"last\": \"Smith\",\n     \"middle\": \"James\"\n    },\n    \"email\": \"myemail@email.com\",\n    \"address\": {\n     \"line1\": \"1 Main St\",\n     \"line2\": \"Apt 35\",\n     \"city\": \"Dallas\",\n     \"state\": \"TX\",\n     \"zipCode\": \"75000\"\n    }\n   },\n   \"consents\": {\n    \"contact\": {\n     \"allowEmailContact\": true,\n     \"allowPhoneContact\": true,\n     \"allowSmsContact\": true\n    },\n    \"shareDataWithFI\": true,\n    \"softPull\": true\n   },\n   \"metadata\": {\n    \"membershipType\": \"NonMember\",\n    \"referralChannel\": \"Branch\",\n    \"creditInquiry\": \"Soft\"\n   }\n}'\n\nproduct_id = \"YOUR_product-id_PARAMETER\"\n\n# create you own operator\n\"%&%\" <- function(x, y)paste0(x,y)\n\nurl = \"https://api.raipartners.com/referral/application/\" %&% product_id\n\ndata_req <- POST(\n  url,\n  add_headers(\"Content-Type\" = \"application/json\", \"API-Version\" = \"1.0.8\", \"Authorization\" = \"Bearer <YOUR_JWT_HERE>\"),\n  body = body,\n  encode = \"json\",\n  verbose()\n)\n\ncontent(data_req)"},{"lang":"json","title":"Payload application/json","source":"{\n  \"applicant\": {\n    \"identity\": {\n      \"name\": {\n        \"first\": \"John\",\n        \"last\": \"Smith\",\n        \"middle\": \"James\"\n      },\n      \"birthDate\": \"2000-01-31\",\n      \"socialSecurityNumber\": 123456789\n    },\n    \"email\": \"myemail@email.com\",\n    \"phoneNumber\": \"1234567890\",\n    \"address\": {\n      \"line1\": \"1 Main St\",\n      \"line2\": \"Apt 35\",\n      \"city\": \"Dallas\",\n      \"state\": \"TX\",\n      \"zipCode\": \"75000\"\n    },\n    \"income\": {\n      \"annualIncome\": 30000,\n      \"source\": \"Employment\"\n    },\n    \"expenses\": {\n      \"monthlyHousing\": 1000\n    },\n    \"maritalStatus\": \"NotMarried\"\n  },\n  \"spouse\": {\n    \"name\": {\n      \"first\": \"John\",\n      \"last\": \"Smith\",\n      \"middle\": \"James\"\n    },\n    \"email\": \"myemail@email.com\",\n    \"address\": {\n      \"line1\": \"1 Main St\",\n      \"line2\": \"Apt 35\",\n      \"city\": \"Dallas\",\n      \"state\": \"TX\",\n      \"zipCode\": \"75000\"\n    }\n  },\n  \"consents\": {\n    \"contact\": {\n      \"allowEmailContact\": true,\n      \"allowPhoneContact\": true,\n      \"allowSmsContact\": true\n    },\n    \"shareDataWithFI\": true,\n    \"softPull\": true\n  },\n  \"metadata\": {\n    \"membershipType\": \"NonMember\",\n    \"referralChannel\": \"Branch\",\n    \"creditInquiry\": \"Soft\"\n  }\n}"}]},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["API Call Response:"]}," ","This endpoint returns a 204 status upon success (no content is returned)"]},{"$$mdtype":"Tag","name":"OpenApiResponseSample","attributes":{"descriptionFile":"api-docs-apis/referral-api-v1.json","operationId":"createApplication","responseSamplesResolved":[{"lang":"json","title":"200 application/json","source":"{\n  \"id\": \"2bb04ce6-daeb-422b-b8fd-686aa09e2c88\",\n  \"url\": \"https://apply.groundworkcard.com/app/wizard/2bb04ce6-daeb-422b-b8fd-686aa09e2c88\",\n  \"status\": \"Pending\"\n}"},{"lang":"json","title":"400 application/json","source":"{\n  \"type\": \"urn:raipartners:api:referral:errors:validation:invalid-data\",\n  \"title\": \"Bad Request\",\n  \"status\": 400,\n  \"detail\": \"One or more fields are invalid.\"\n}"},{"lang":"json","title":"404 application/json","source":"{\n  \"type\": \"urn:raipartners:api:referral:errors:not-found\",\n  \"title\": \"Not Found\",\n  \"status\": 404,\n  \"detail\": \"Resource not found.\"\n}"},{"lang":"json","title":"500 application/json","source":"{\n  \"type\": \"urn:raipartners:api:referral:errors:internal\",\n  \"title\": \"Internal Server Error\",\n  \"status\": 500,\n  \"detail\": \"An unexpected error occurred.\"\n}"},{"lang":"json","title":"503 application/json","source":"{\n  \"type\": \"urn:raipartners:api:referral:errors:internal\",\n  \"title\": \"Service unavailable Error\",\n  \"status\": 503,\n  \"detail\": \"Service is unavailable.\"\n}"}]},"children":[]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Split","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"get-spousal-notification-states","__idx":4},"children":["Get spousal notification states"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Some states require spousal notifications, this call will return the list of states requiring spousal notifications."]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["API Call Example:"]}]},{"$$mdtype":"Tag","name":"OpenApiCodeSample","attributes":{"descriptionFile":"api-docs-apis/referral-api-v1.json","operationId":"getSpousalNotificationStates","parameters":{},"environments":{},"codeSamplesResolved":[{"lang":"shell","title":"curl","source":"curl -i -X GET \\\n  https://api.raipartners.com/referral/spousal-notification-states \\\n  -H 'API-Version: 1.0.8' \\\n  -H 'Authorization: Bearer <YOUR_JWT_HERE>'"},{"lang":"javascript","title":"JavaScript","source":"const resp = await fetch(\n  `https://api.raipartners.com/referral/spousal-notification-states`,\n  {\n    method: 'GET',\n    headers: {\n      'API-Version': '1.0.8',\n      Authorization: 'Bearer <YOUR_JWT_HERE>'\n    }\n  }\n);\n\nconst data = await resp.text();\nconsole.log(data);"},{"lang":"javascript","title":"Node.js","source":"import fetch from 'node-fetch';\n\nasync function run() {\n  const resp = await fetch(\n    `https://api.raipartners.com/referral/spousal-notification-states`,\n    {\n      method: 'GET',\n      headers: {\n        'API-Version': '1.0.8',\n        Authorization: 'Bearer <YOUR_JWT_HERE>'\n      }\n    }\n  );\n\n  const data = await resp.text();\n  console.log(data);\n}\n\nrun();"},{"lang":"python","title":"Python","source":"import requests\n\nurl = \"https://api.raipartners.com/referral/spousal-notification-states\"\n\nheaders = {\n  \"API-Version\": \"1.0.8\",\n  \"Authorization\": \"Bearer <YOUR_JWT_HERE>\"\n}\n\nresponse = requests.get(url, headers=headers)\n\ndata = response.json()\nprint(data)"},{"lang":"java","title":"Java","source":"import java.net.*;\nimport java.net.http.*;\nimport java.util.*;\n\npublic class App {\n  public static void main(String[] args) throws Exception {\n    var httpClient = HttpClient.newBuilder().build();\n\n    var host = \"https://api.raipartners.com\";\n    var pathname = \"/referral/spousal-notification-states\";\n    var request = HttpRequest.newBuilder()\n      .GET()\n      .uri(URI.create(host + pathname ))\n      .header(\"API-Version\", \"1.0.8\")\n      .header(\"Authorization\", \"Bearer <YOUR_JWT_HERE>\")\n      .build();\n\n    var response = httpClient.send(request, HttpResponse.BodyHandlers.ofString());\n\n    System.out.println(response.body());\n  }\n}"},{"lang":"csharp","title":"C#","source":"using System;\nusing System.Net.Http;\nusing System.Threading.Tasks;\n\npublic class Program\n{\n  public static async Task Main()\n  {\n    System.Net.Http.HttpClient client = new()\n    {\n      DefaultRequestHeaders =\n      {\n        {\"API-Version\", \"1.0.8\"},\n        {\"Authorization\", \"Bearer <YOUR_JWT_HERE>\"},\n      }\n    };\n\n    using HttpResponseMessage request = await client.GetAsync(\"https://api.raipartners.com/referral/spousal-notification-states\");\n    string response = await request.Content.ReadAsStringAsync();\n\n    Console.WriteLine(response);\n  }\n}"},{"lang":"php","title":"PHP","source":"/**\n * Requires libcurl\n */\n\n$curl = curl_init();\n\ncurl_setopt_array($curl, [\n  CURLOPT_HTTPHEADER => [\n    \"API-Version: 1.0.8\",\n    \"Authorization: Bearer <YOUR_JWT_HERE>\"\n  ],\n  CURLOPT_URL => \"https://api.raipartners.com/referral/spousal-notification-states\",\n  CURLOPT_RETURNTRANSFER => true,\n  CURLOPT_CUSTOMREQUEST => \"GET\",\n]);\n\n$response = curl_exec($curl);\n$error = curl_error($curl);\n\ncurl_close($curl);\n\nif ($error) {\n  echo \"cURL Error #:\" . $error;\n} else {\n  echo $response;\n}"},{"lang":"go","title":"Go","source":"package main\n\nimport (\n  \"fmt\"\n  \"net/http\"\n  \"io/ioutil\"\n)\n\nfunc main() {\n  reqUrl := \"https://api.raipartners.com/referral/spousal-notification-states\"\n  req, err := http.NewRequest(\"GET\", reqUrl, nil)\n  if err != nil {\n    panic(err)\n  }\n  req.Header.Add(\"API-Version\", \"1.0.8\")\n  req.Header.Add(\"Authorization\", \"Bearer <YOUR_JWT_HERE>\")\n  res, err := http.DefaultClient.Do(req)\n  if err != nil {\n    panic(err)\n  }\n  defer res.Body.Close()\n  body, err := ioutil.ReadAll(res.Body)\n  if err != nil {\n    panic(err)\n  }\n\n  fmt.Println(res)\n  fmt.Println(string(body))\n}"},{"lang":"ruby","title":"Ruby","source":"require 'uri'\nrequire 'net/http'\nrequire 'openssl'\n\nurl = URI('https://api.raipartners.com/referral/spousal-notification-states')\n\nhttp = Net::HTTP.new(url.host, url.port)\nhttp.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest['API-Version'] = '1.0.8'\nrequest['Authorization'] = 'Bearer <YOUR_JWT_HERE>'\n\nresponse = http.request(request)\nputs response.read_body\n"},{"lang":"r","title":"R","source":"library(httr)\n\nurl = \"https://api.raipartners.com/referral/spousal-notification-states\"\n\ndata_req <- GET(\n  url,\n  add_headers(\"API-Version\" = \"1.0.8\", \"Authorization\" = \"Bearer <YOUR_JWT_HERE>\"),\n  verbose()\n)\n\ncontent(data_req)"}]},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["API Call Response:"]}," ","This endpoint returns a 204 status upon success (no content is returned)"]},{"$$mdtype":"Tag","name":"OpenApiResponseSample","attributes":{"descriptionFile":"api-docs-apis/referral-api-v1.json","operationId":"getSpousalNotificationStates","responseSamplesResolved":[{"lang":"json","title":"200 application/json","source":"[\n  \"WI\"\n]"},{"lang":"json","title":"400 application/json","source":"{\n  \"type\": \"urn:raipartners:api:referral:errors:validation:invalid-data\",\n  \"title\": \"Bad Request\",\n  \"status\": 400,\n  \"detail\": \"One or more fields are invalid.\"\n}"},{"lang":"json","title":"404 application/json","source":"{\n  \"type\": \"urn:raipartners:api:referral:errors:not-found\",\n  \"title\": \"Not Found\",\n  \"status\": 404,\n  \"detail\": \"Resource not found.\"\n}"},{"lang":"json","title":"500 application/json","source":"{\n  \"type\": \"urn:raipartners:api:referral:errors:internal\",\n  \"title\": \"Internal Server Error\",\n  \"status\": 500,\n  \"detail\": \"An unexpected error occurred.\"\n}"},{"lang":"json","title":"503 application/json","source":"{\n  \"type\": \"urn:raipartners:api:referral:errors:internal\",\n  \"title\": \"Service unavailable Error\",\n  \"status\": 503,\n  \"detail\": \"Service is unavailable.\"\n}"}]},"children":[]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]}]},"headings":[{"value":"Referral API v1 Application Management Guide","id":"referral-api-v1-application-management-guide","depth":1},{"value":"Deprecation warning","id":"deprecation-warning","depth":2},{"value":"Overview","id":"overview","depth":2},{"value":"Create an application","id":"create-an-application","depth":2},{"value":"Get spousal notification states","id":"get-spousal-notification-states","depth":2}],"frontmatter":{"seo":{"title":"Referral API v1 Application Management Guide"}},"lastModified":"2026-07-01T03:36:31.000Z","pagePropGetterError":{"message":"","name":""}},"slug":"/guides/referral-api/v1/application","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}